package com.company.base.entity;

import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.Lookup;
import com.haulmont.cuba.core.entity.annotation.LookupType;
import com.haulmont.cuba.core.entity.annotation.OnDelete;
import com.haulmont.cuba.core.global.DeletePolicy;
import com.haulmont.cuba.security.entity.Group;

import javax.persistence.*;

@Table(name = "BASE_BASE_ENTITY")
@Entity(name = "base_BaseEntity")
public class BaseEntity extends StandardEntity {
    private static final long serialVersionUID = 960915463863116888L;

    @Column(name = "TESTSTRING")
    protected String teststring;

    @Lookup(type = LookupType.DROPDOWN, actions = "lookup")
    @OnDelete(DeletePolicy.UNLINK)
    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "AGENCY_ID")
    protected Group agency;

    public Group getAgency() {
        return agency;
    }

    public void setAgency(Group agency) {
        this.agency = agency;
    }

    public String getTeststring() {
        return teststring;
    }

    public void setTeststring(String teststring) {
        this.teststring = teststring;
    }
}